GostR3410KeyTransport (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cryptopro

## Class GostR3410KeyTransport

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.GostR3410KeyTransport

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GostR3410KeyTransport
      extends ASN1Object

           GostR3410-KeyTransport ::= SEQUENCE {
             sessionEncryptedKey   Gost28147-89-EncryptedKey,
             transportParameters
                [0] IMPLICIT GostR3410-TransportParameters OPTIONAL
          }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GostR3410KeyTransport(Gost2814789EncryptedKey sessionEncryptedKey, GostR3410TransportParameters transportParameters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GostR3410KeyTransport` | `getInstance(java.lang.Object obj)`
    `Gost2814789EncryptedKey` | `getSessionEncryptedKey()`
    `GostR3410TransportParameters` | `getTransportParameters()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GostR3410KeyTransport

          public GostR3410KeyTransport(Gost2814789EncryptedKey sessionEncryptedKey,
                                       GostR3410TransportParameters transportParameters)

  - ### Method Detail

    - #### getInstance

          public static GostR3410KeyTransport getInstance(java.lang.Object obj)

    - #### getSessionEncryptedKey

          public Gost2814789EncryptedKey getSessionEncryptedKey()

    - #### getTransportParameters

          public GostR3410TransportParameters getTransportParameters()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.